header {
  width: calc(100% - 76px);
  font-family: "LouisGeorgeCafe";
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  text-align: center;
  align-items: center;
  border-style: solid;
  border-width: 0 0 1px 0;
  border-color: #2d2d2d;
  margin-left: 38px;
}

.elemento-menu a {
  text-decoration: none;
  color: rgba(0, 0, 0, 0.95);
  transition-duration: 0.5s;
}

.elemento-menu a:hover {
  text-shadow: 0px 1px 2px rgba(0, 0, 0, 0.1);
}

.shadow-top {
  display: none;
}

.header-placeholder {
  display: none;
}

.menu-background {
  display: none;
}

#toggle-menu {
  display: none;
}

.hamburger {
  display: none;
}

.menu-main {
  float: right;
  width: calc(100% - 150px);
}

.lista-menu {
  width: calc(100%);
  display: contents;
  list-style: none;
  padding-bottom: 2rem;
  padding-top: 2rem;
}

.elemento-menu {
  float: right;
  text-align: center;
  color: rgba(39, 35, 35, 0.95);
  font-size: 1rem;
  padding-left: 1rem;
  padding-right: 1rem;
}

.logo-acamex {
  width: 150px;
  height: 80px;
  background-image: url("../assets/img/logo-acamex.png");
  background-size: 60px;
  background-repeat: no-repeat;
  background-position: center center;
}

.logo-facebook {
  width: 50px;
  height: 30px;
  background-image: url("../assets/img/facebook-brands.png");
  background-size: 30px;
  background-repeat: no-repeat;
  background-position: top center;
  opacity: 0.8;
  filter: gray;
  filter: grayscale(100%);
}
.logo-instagram {
  width: 50px;
  height: 30px;
  background-image: url("../assets/img/instagram-brands.png");
  background-size: 30px;
  background-repeat: no-repeat;
  background-position: top center;
  opacity: 0.8;
  filter: gray;
  filter: grayscale(100%);
}
.logo-email {
  width: 60px;
  height: 40px;
  background-image: url("../assets/img/email.png");
  background-size: 40px;
  background-repeat: no-repeat;
  background-position: top center;
  opacity: 0.8;
  filter: gray;
  filter: grayscale(100%);
}
.logo-acamex:hover {
  cursor: pointer;
}
.logo-facebook:hover {
  cursor: pointer;
  opacity: 1;
  filter: none;
}
.logo-instagram:hover {
  cursor: pointer;
  opacity: 1;
  filter: none;
}
.logo-email:hover {
  cursor: pointer;
  opacity: 1;
  filter: none;
}
.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-content {
  /*margin-top:2rem;*/
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 160px;
  /*box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);*/
  z-index: 1;
  font-family: "Goudy-Old-Style-Extrabold-Regular";
  text-align: left;
}

.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

.dropdown-content a:hover {
  background-color: #f1f1f1;
}

.dropdown:hover .dropdown-content {
  display: block;
}

.dropdown:hover .dropbtn {
  background-color: #005425;
}

.dropdown-a-acamex {
  background-color: #246b01;
  color: #ffffff !important;
  font-family: "Goudy-Old-Style-Extrabold-Regular";
  text-align: left;
  border-style: solid;
  border-width: 1px 0 0 0;
  border-color: #2d2d2d;
}

.dropdown-hidden {
  height: 1.75rem;
  background-color: #ffffff !important;
}

.dropdown-hidden a:hover {
  background-color: #ffffff !important;
}

@media only screen and (max-width: 930px) {
  .elemento-menu {
    font-size: 0.9rem;
  }
  .dropdown-hidden {
    height: 1.83rem;
    background-color: #ffffff !important;
  }
  .dropdown-hidden a:hover {
    background-color: #ffffff !important;
  }

  #logo-facebook,
  #logo-instagram,
  #logo-email {
    display: none;
  }
}

@media only screen and (max-width: 680px) {
  header {
    width: 100%;
    margin-left: 0px;
  }
  .dropdown-content a:hover {
    color: #005425 !important;
  }

  .dropdown-content {
    /*margin-top:2rem;*/
    display: none;
    position: relative;
    background-color: #005425;
    color: #ffffff !important;
    min-width: 100vw;
    /*box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);*/
    z-index: 1;
    font-family: "Goudy-Old-Style-Extrabold-Regular";
    text-align: center;
  }
  .dropdown-a-acamex {
    background-color: #005425;
    color: #ffffff !important;
    font-family: "Goudy-Old-Style-Extrabold-Regular";
    text-align: center;
    border-style: solid;
    border-width: 0 0 0 0;
    border-color: #2d2d2d;
  }
  .dropdown-content a {
    color: white;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
  }

  .elemento-menu {
    float: right;
    text-align: center;
    color: rgba(39, 35, 35, 0.95);
    font-size: 1rem;
    padding-left: 0rem;
    padding-right: 0rem;
  }
  .menu-main {
    top: 40px;
    position: fixed;
    width: 100%;
    opacity: 0;
    height: 0;
    z-index: -20;
    transition-duration: 0.2s;
    overflow: hidden;
    padding-left: 0rem !important;
    padding-right: 0rem !important;
  }

  .shadow-top {
    display: block;
    position: fixed;
    width: 100%;
    height: 0;
    box-shadow: 1px 3px 5px 1px rgba(0, 0, 0, 0.5);
    -webkit-box-shadow: 1px 3px 5px 1px rgba(0, 0, 0, 0.5);
    -moz-box-shadow: 1px 3px 5px 1px rgba(0, 0, 0, 0.5);
    top: -3px;
  }

  .menu-main {
    top: 40px;
    position: fixed;
    width: 100%;
    opacity: 0;
    height: 0;
    z-index: -20;
    transition-duration: 0.2s;
    overflow: hidden;
    padding-left: 2rem;
    padding-right: 2rem;
  }

  .lista-menu {
    margin-top: 5px;
    flex-direction: column;
    width: 100%;
    z-index: 1;
    border-style: none;
    transition-duration: 0.8s;
    opacity: 0;
  }

  .elemento-menu {
    width: 100%;
    height: 80px;
    margin-top: 20px;
    margin-bottom: 20px;
    border-bottom: 1px solid #aaa;
  }

  .header-placeholder {
    height: 100px;
    display: block;
  }

  .menu-background {
    display: block;
    position: fixed;
    background-color: #ffffff;
    width: 100%;
    height: 0%;
    z-index: 1;
  }

  /*------------------------------------MENU-----------------------------------------*/

  #toggle-menu {
    display: block;
    position: absolute;
    right: 0;
    margin-right: 50px;
    width: 30px;
    height: 35px;
    opacity: 0;
    z-index: 20;
  }

  #toggle-menu:hover {
    cursor: pointer;
  }

  .hamburger {
    display: block;
    background: #000000;
    height: 1px;
    position: absolute;
    transition: 0.2s ease-out;
    width: 30px;
    z-index: 2;
    margin-right: 50px;
    right: 0;
  }

  .hamburger::before,
  .hamburger::after {
    content: "";
    display: block;
    height: 100%;
    position: absolute;
    transition: all 0.2s ease-out;
    width: 100%;
    background: #000000;
    transform-origin: center left;
  }

  .hamburger-black,
  .hamburger-black::before,
  .hamburger-black::after {
    background: rgba(0, 0, 0, 0.9);
  }

  .hamburger::before {
    top: 10px;
  }

  .hamburger::after {
    top: -10px;
  }

  #toggle-menu:checked ~ .hamburger-black::before,
  #toggle-menu:checked ~ .hamburger-black::after {
    background: #000000;
  }

  #toggle-menu:checked ~ .hamburger {
    background: transparent;
  }

  #toggle-menu:checked ~ .hamburger::before {
    transform: rotate(-45deg);
  }

  #toggle-menu:checked ~ .hamburger::after {
    transform: rotate(45deg);
  }

  #toggle-menu:checked ~ .menu-main {
    height: 100%;
    z-index: 1;
    opacity: 1;
  }

  #toggle-menu:checked ~ .menu-main > .lista-menu {
    height: 100%;
    opacity: 1;
  }

  #toggle-menu:checked ~ .menu-background {
    height: 200%;
  }

  #toggle-menu:checked + body {
    overflow-y: hidden !important;
  }
  /*------------------------------------MENU-----------------------------------------*/

  #logo-facebook,
  #logo-instagram,
  #logo-email {
    display: none;
  }
}
